Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038755
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminorhave not tried2018-06-14 10:232018-07-12 08:48
ReportermtaalView Statuspublic 
Assigned Tomtaal 
PrioritynormalResolutionfixedFixed in Version
StatusresolvedFix in branchFixed in SCM revisione050f79bee77
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomigueldejuana
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038755: Product search in remote mode does not show the error message returned from the server

DescriptionWhen the remote product mode is enabled the search happens on the server. if the server returns an error a technical error message is shown in the top right (see message). It seems better to show a popup message.
Steps To ReproduceInstall multi-server, set remote product mode
Start CS and SS
Login to WebPOS
Create a sync error
Stop CS
Go to search tab in webpos, see message in top right
 
Proposed SolutionIn the shown code (see screenshot) check if the error object has a message, if so translate it and show it in a popup box
TagsNo tags attached.
Attached Filespng file icon Screenshot from 2018-06-14 10-23-24.png [^] (107,814 bytes) 2018-06-14 10:23


png file icon error-message.png [^] (24,667 bytes) 2018-06-14 10:24


png file icon Screenshot from 2018-06-14 10-18-26.png [^] (20,267 bytes) 2018-06-14 10:24

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0038506 closedmtaal Do not transition to offline if there are sync errors, then stay in special state which does limited whitelisting 

-  Notes
(0105668)
hgbot (developer)
2018-07-08 22:13

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: f4562132fdc9b303dde6f3f6f861bf64f7e57620
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Sun Jul 08 22:13:20 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/f4562132fdc9b303dde6f3f6f861bf64f7e57620 [^]

Related to issue 38755: Product search in remote mode does not show the error message returned from the server
Change OB.UTIL.showError so that it can handle non-string arguments, also translate message if it is a label

---
M web/org.openbravo.mobile.core/source/data/ob-datasource.js
M web/org.openbravo.mobile.core/source/retail/component/ob-retail-product-browser.js
M web/org.openbravo.mobile.core/source/retail/component/ob-retail-searchproductcharacteristic.js
M web/org.openbravo.mobile.core/source/retail/component/ob-retail-searchproducts.js
M web/org.openbravo.mobile.core/source/utils/ob-utilitiesui.js
---
(0105669)
hgbot (developer)
2018-07-08 23:02

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: e050f79bee77ad510d92f831060d6610cda0e521
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Sun Jul 08 23:02:18 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/e050f79bee77ad510d92f831060d6610cda0e521 [^]

Fixes issue 38755: Product search in remote mode does not show the error message returned from the server
Change all calls to showError to only have the message without OBDAL error prefix

---
M web/org.openbravo.retail.posterminal/js/closecash/model/cashup-model.js
M web/org.openbravo.retail.posterminal/js/components/bplocation.js
M web/org.openbravo.retail.posterminal/js/components/bplocationship.js
M web/org.openbravo.retail.posterminal/js/components/businesspartner.js
M web/org.openbravo.retail.posterminal/js/components/modalproductbrand.js
M web/org.openbravo.retail.posterminal/js/components/modalproductcharacteristic.js
M web/org.openbravo.retail.posterminal/js/components/salesrepresentative.js
M web/org.openbravo.retail.posterminal/js/model/order.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/editline.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/keyboardorder.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/modals/modalcreditsales.js
---
(0105670)
hgbot (developer)
2018-07-08 23:03

Repository: erp/pmods/org.openbravo.retail.giftcards
Changeset: 2fb7119ddb655b6c866cd3353ca7103412619fa6
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Sun Jul 08 23:03:08 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.giftcards/rev/2fb7119ddb655b6c866cd3353ca7103412619fa6 [^]

Related to issue 38755: Product search in remote mode does not show the error message returned from the server
Change call to showError to have only the relevant error message

---
M web/org.openbravo.retail.giftcards/js/components/GiftCardDialog.js
M web/org.openbravo.retail.giftcards/js/hooks/AddButtonToCashManagementHook.js
M web/org.openbravo.retail.giftcards/js/model/GiftCardUtils.js
---
(0105707)
hgbot (developer)
2018-07-12 08:48

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 1c1d6c027e2c27f1e42b20ed6c0d0ec99a248346
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Thu Jul 12 08:48:05 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/1c1d6c027e2c27f1e42b20ed6c0d0ec99a248346 [^]

Related to issue 38755: Product search in remote mode does not show the error message returned from the server
Solve failing test

---
M web/org.openbravo.mobile.core/source/data/ob-datasource.js
---

- Issue History
Date Modified Username Field Change
2018-06-14 10:23 mtaal New Issue
2018-06-14 10:23 mtaal Assigned To => mtaal
2018-06-14 10:23 mtaal File Added: Screenshot from 2018-06-14 10-23-24.png
2018-06-14 10:23 mtaal Triggers an Emergency Pack => No
2018-06-14 10:24 mtaal File Added: error-message.png
2018-06-14 10:24 mtaal File Added: Screenshot from 2018-06-14 10-18-26.png
2018-06-14 10:24 mtaal Relationship added related to 0038506
2018-07-08 22:08 mtaal Review Assigned To => migueldejuana
2018-07-08 22:13 hgbot Checkin
2018-07-08 22:13 hgbot Note Added: 0105668
2018-07-08 23:02 hgbot Checkin
2018-07-08 23:02 hgbot Note Added: 0105669
2018-07-08 23:02 hgbot Status new => resolved
2018-07-08 23:02 hgbot Resolution open => fixed
2018-07-08 23:02 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/e050f79bee77ad510d92f831060d6610cda0e521 [^]
2018-07-08 23:03 hgbot Checkin
2018-07-08 23:03 hgbot Note Added: 0105670
2018-07-12 08:48 hgbot Checkin
2018-07-12 08:48 hgbot Note Added: 0105707


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker